let
	nixpkgs = import <nixpkgs> {};
	unstable = (import (fetchTarball https://github.com/NixOS/nixpkgs/archive/nixos-unstable.tar.gz) {});
in
	with nixpkgs;

	stdenv.mkDerivation {
		name = "node-veilid-dev";

		buildInputs = [
			unstable.capnproto # 1.0.1
			unstable.protobuf # 3.24.3
		];
	}
